AutoCAD Inventor :: How To Find Line At The Origin
May 4, 2012
When I draw a line at the origin, it does not find the origin and snap to it, or auto apply the horizontal constraint when near horizontal. Or if I draw an L the lines are not connected. That is, I can pull one line away from the other. I can not find the settingsto correct this behavior. What's up?
All of a sudden when i create a circle on the origin it is not turning green and constraining the circle to it. Also when i am creating a line from the midpoint of another line the midpoint is not turning green and the line is not constrained to that point. I have checked the autoproject origin box in the appl settings and it is active.
I'm wondering if there is a way to annotate from the origin without having a long diminsion line to the center. (see image) I want it like the 'linear diameter' but not with double my size. I always have to annotate the projection from center and this would be easy much more easy to do.
I cannot select origin to constrain sketch with dimension to origin?
I selected Sketch, expanded origin, selected mywork plan (xy) drew rectangle, input dims, right click for marking menu, selected dimensions, Origin is yellow,
cannot select it and then edge of rect to set dim that will center sketch on origin? Just like the videos show, but cannot select origin>
I want to know the correct way to find the offset origin of a layout in an AutoCAD drawing. Let say I have a drawing that has many items on it. And I create a layout showing just the items in the lower right corner of the drawing. I want to know the offset origin of this layout relative to the Model space.
I came across some LISP commands that are supposed to do just that:
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application, ByVal wp As Inventor.WorkPlane) As Inventor.Point Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X, [Code] ......
I'd like to have a menu option next to "Grounded" which is "Grounded to origin", to save setting three flush constraints every time I pull a part into an assembly and want it to have the same origin as the assembly. This is something I do quite a lot using the multibody part > derived part > assembly workflow. Apart from saving time it would save cluttering up the model browser. In the meantime is there a scripting method of doing this with one click? IV2013
I'm drawing a blank, how do I connect a UCS to the existing Origin of a part. I can select the Centre Point to attach the UCS to , but I have nothing the align the X & Y axis to (X Axis and Y Axis in the Origin folder are not selectable)
If I try to add a UCS to a blank part, the ONLY thing I can select is the Centre Point, but the UCS requires 3 inputs!
My model is up in the top right of the planes. I cannot figure out why my origin planes are oversized like this. I have went through the browser and checked all the parts to see if something is out there, nothing. I have set auto-resize on origin planes and yet these are large.
Dell XPS 8300 Intel(R) Core(TM) i7-2600 CPU@3.40GHz 16GB RAM Win 8.1 Pro Autodesk Product Design Suite 2014
How to align a model to the origin, and NONE of them seem to be correct. I am using Inventor 2013. I tried the move body command, however there is no part of the dialog box that lets me choose a face or plane to align to.
What to do when you import a model that is not aligned to the origin?
How can i a re-adjust the orignal origin on an assembly? For example: i have a trailer frame (an assembly) and want to add a tank centered on top of it by constraining the center planes of both assemblies.. When i select the X-Axis/Pane from the trailer, it is not in the center of it, instead the X-Axis/Plane is 3/4 of the way off centered.
How do you constrain an object to the origin once the origin constraint has been deleted. I'm not really sure how it became unconstrained in the first place. When I try to constrain the drawing using the coincident constraint it won't allow me to select the origin.
How is this accomplished in Inventor? The 3D sketch environment seems intentionally crippled. Many of the constrains are not available, and the "include geometery" command refuses to include the origin (or any other planes and axis for that matter).
I'm currently designing a frame for a geodesic dome. I have created a wireframe from an excel sheet (I calculated the vertices in a c# program) and added this to my 5-edges-corner part as derived part.
I used the wireframe to create the part that can be seen in the attached picture (basically its a 5 sided cylinder and i used layers which i generated from the wireframe to cut away the top bits).
Now because the wireframe has its origin in the WCS origin, the part isn't centered in the WCS. If I use the "move body" tool to move the part, the layer that creates the cut is not moved as well and the cuts disappear. Also the rotation is kinda messed up.
My first idea was to define a UCS and use that to replace the WCS but apparently, that's not possible in Inventor 2014.
I would like to know, whether there is a way to make the cuts permanent and independent of the layer (which is dependent on the wireframe which i want to delete anyways as soon the part is done). And what the best way would be to move the part to the WCS origin.
The screen shot below shows three coincident constraints and a projection icon on the origin.
looks like a projection icon - what does it mean?
I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?
How the heck do you do this once a view is placed? I had to edit a part and the origin indicator is in the middle of no where now(and is pink). How can I either. 1.)Locate the new origin for my dimensions or 2.) delet the origin and start over?
Inventor 2011 Intel Core 2 Duo 2.93GHz 8GB RAM Windows 7 Pro
I have a drawing that has had the origin indicator hidden.The part has changed, and I need to move the indicator to the new 0,0 location.How do I show the origin indicator again, or while it's hidden, move it to the new location?
We have imported an AutoCAD 3D model into Inventor and the process generates many individual Inventor parts which are placed in a new Inventor assembly. The parts are all unconstrained in the assembly but spacially positioned relative to each other as they were in the AutoCAD file.
We want to create a new, empty, assembly and place the individual parts one by one into the new assembly constraining them appropriately as we go. This way we can develop a more logical set of sub-assemblies and have the parts more intelligently connected.
So to the point of my question, at last!. Each individual part, generated from the import, contains just a single body. There is no sketch or any features. The part's origin is at the point of the original AutoCAD model's origin. All of the imported parts will have the same origin point. We want to move the part's single body in space to align with the part's origin point and planes. This way when we re-build the assembly we can use each part's origin planes when constraining the part.
There doesn't appear to be any way of constraining or 'snapping' a part's body in space to the origin planes.
I used this command all the time in previous releases (when it was in the SDK tools). In 2011 Win 7 64bit, the dialog always says "cannot place at origin" or something similar yet it does place the component there but does not apply the constraints. (Also my "make components" command puts a slight offset to my parts which could be a related bug of some sort.) The only non-autodesk addins I have loaded are the trial kwikinsertnfix addin loaded and Brian Ekin's Sheetmetalextents addin loaded.
I have problem with placing origin of ordinate dimensions on point where two centerlines are intersecting.
In my particular case I have rectangle and centerlines are in the middle of pararel edges. So they are crossing eatch other in the center of rectangle.
I need to place origin for ordinate dimensions in this point. But till now I had not find any way to do that except make a skkech and draw a line that's one end is exactly in the point I want. But it seems to me like rather ridicules aolution.
When I am forced to use an existing part surface to start a sketch, the origin of the sketch invariably has no correlation to the part origin (UCS Origin). It seems it ties to some feature or point on the surface instead.
Is there any setting or method to force the sketch origin to be aligned with the part origin. Obviously it will only be aligned in two axis' but for the sketch, there is no need for a 'Z' axis (3d sketches aside).
I end up going to Edit Coordinate System to move the sketch origin to align with the part origin (UCS origin). That way I can always reference from a point that is consistent throughout the various sketches in the part.
Along the same lines, it seems that when a new sketch is created, IV orients the x-y plane based on random chance. Sometimes it its the plane in the same orientation as the UCS sometimes it turns it on its side and sometimes it flips it upside down.
This is using the three basic planes, not constructed ones. It just isn't consistent. So I often fins myself editing the coordinate system to reorient the sketch as well.
I need to make the hole table origin symbol bigger to stand out on the drawing I am doing, I've looked around but can't see how to modify it's size, how to change it's size ?
Inventor 2013 SP2 Product Design Suite Ultimate 2013 64-bit HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL) Anthony Goodwin ~ Cad Manager/Senior Designer Autodesk Inventor Professional 2013 SP2 64-Bit Edition Windows 7 HP Z400, Intel Xeon W3550 3.07GHz 12.0GB RAM, ATI FirePro V4800 (FireGL)
I recently found an error in my top level assembly which is that the origin axes x & z are pointing in the wrong direction (x-axis points in the negative x direction and the z-axis points in the negative z direction). how to "flip" the origin axes of an assembly?
Additional information: I have a top level lattice assembly that consists of a number of lattices (a part to which components are constrained) with the lattice origin planes constrained flush with the top level lattice assembly origin planes. This top level assembly is used in many other assemblies to constrain entire systems. Re-constraining my lattices correctly inside of the top assembly is infeasible.
Now, I want to look into the assembly Constraints and want to get the origin Work plane of the component. So, I now, it's the entity One of a specific Constraint I also now.
What I get is a Face Proxy (the EntityOne gives back a FaceProxy). But how can I get the Workplane, the Proxy Element once was created?
I can get the Surface Body the Work plane was created on, but I don't get the name of the Workplane. My target is, to get the name of the work plane.
see attached image. The Origin Work Planes of my assembly, and some of the origin work planes in sub-assemblies have lost their names. No longer can I see XY Plane / XZ Plane / YZ Plane - all I see is a little red dot when I hover over where the name used to be. ??
Is there a setting or something somewhere that turns off/on the display of the origin folder? I have rebooted and restarted Inventor. For some reason, I can't get see the folder. Even when I edit a part, it is not there. See attached images.
They are all gone in my parts and assemblies. Only are they visible in the browser when I open a particular part or assembly of the parent. Need them for constraints .